Path parameters

  • id string Required

    The ID of the notification.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string

      Notification UUID

    • created_at string

      Timestamp of when the notification was created

    • updated_at string

      Timestamp of when the notification was updated

    • read_at string

      Timestamp of when the notification was read

    • data object
      Hide data attributes Show data attributes object
      • title string
      • description string
      • model_uuid string
      • model_type string
    • type string

      type of notification sent

    • notifiable object

      the notifiable model to notification is attached to, in most cases an Account

      Hide notifiable attributes Show notifiable attributes object
      • uuid string
      • created_at string
      • updated_at string
      • type string
      • role string
      • first_name string
      • last_name string
      • name string
      • email string
      • photo_url string
      • firm string
      • primary_phone_number string
      • primary_email string
      • current_time_entry string
      • assigned_adviser string
      • assigned_administrator string
      • assigned_paraplanner string
      • introduced_by string
      • business_unit string
      • groups string
      • tags string
      • owners string
      • first_contact_date string
      • next_review_date string
      • previous_review_date string
      • anniversary_review_date string
      • with_login boolean
      • has_joint_account boolean
      • can_be_deleted string
      • joint_account_circle string
      • circles string
      • ownership_percentage integer
      • inactive_at string
      • last_interaction_at string
      • referral_code string
      • permissions object
        Hide permissions attributes Show permissions attributes object
        • firm:read array[string]
        • network:read array[string]
      • custom_fields string
      • external_references string
    • triggered_by object

      the account that triggered this notification

      Hide triggered_by attributes Show triggered_by attributes object
      • uuid string
      • created_at string
      • updated_at string
      • type string
      • role string
      • first_name string
      • last_name string
      • name string
      • email string
      • photo_url string
      • firm string
      • primary_phone_number string
      • primary_email string
      • current_time_entry string
      • assigned_adviser string
      • assigned_administrator string
      • assigned_paraplanner string
      • introduced_by string
      • business_unit string
      • groups string
      • tags string
      • owners string
      • first_contact_date string
      • next_review_date string
      • previous_review_date string
      • anniversary_review_date string
      • with_login boolean
      • has_joint_account boolean
      • can_be_deleted string
      • joint_account_circle string
      • circles string
      • ownership_percentage integer
      • inactive_at string
      • last_interaction_at string
      • referral_code string
      • permissions object
        Hide permissions attributes Show permissions attributes object
        • firm:read array[string]
        • network:read array[string]
      • custom_fields string
      • external_references string
GET /api/v1/notifications/{id}
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/notifications/architecto' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "uuid": "0ad61c63-7ae8-454b-a39f-29d8d6765488",
  "created_at": "2026-04-24T17:14:53+01:00",
  "updated_at": "2026-04-24T17:14:53+01:00",
  "read_at": "2026-04-24T17:14:53+01:00",
  "data": {
    "title": "notification-title",
    "description": "notification-description",
    "model_uuid": "3575b17d-70b7-4b4f-a4bd-f183736bfc88",
    "model_type": "firm"
  },
  "type": "App/Notifications/AppNotification",
  "notifiable": {
    "uuid": "e88d446f-1755-4437-82b1-f89e9608fa5b",
    "created_at": "2026-04-24T17:14:53+01:00",
    "updated_at": "2026-04-24T17:14:53+01:00",
    "type": "client",
    "role": "client",
    "first_name": "Gareth",
    "last_name": "Thompson",
    "name": "Gareth Thompson",
    "email": "gareth@codepotato.co.uk",
    "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
    "firm": "App\\Http\\Resources\\FirmResource",
    "primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
    "primary_email": "App\\Http\\Resources\\ContactDetailResource",
    "current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
    "assigned_adviser": "App\\Http\\Resources\\AccountResource",
    "assigned_administrator": "App\\Http\\Resources\\AccountResource",
    "assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
    "introduced_by": "App\\Http\\Resources\\AccountResource",
    "business_unit": "App\\Http\\Resources\\BusinessUnitResource",
    "groups": "App\\Http\\Resources\\GroupResource",
    "tags": "App\\Http\\Resources\\TagResource",
    "owners": "App\\Http\\Resources\\AccountResource",
    "first_contact_date": "2026-04-24T17:14:53+01:00",
    "next_review_date": "2026-04-24T17:14:53+01:00",
    "previous_review_date": "2026-04-24T17:14:53+01:00",
    "anniversary_review_date": "2026-04-24T17:14:53+01:00",
    "with_login": true,
    "has_joint_account": true,
    "can_be_deleted": "false",
    "joint_account_circle": "App\\Http\\Resources\\CircleResource",
    "circles": "App\\Http\\Resources\\CircleResource",
    "ownership_percentage": 100,
    "inactive_at": "2026-04-24",
    "last_interaction_at": "2026-04-24 17:14:53",
    "referral_code": "ABC12345",
    "permissions": {
      "firm:read": [
        "firm"
      ],
      "network:read": [
        "network:uuid"
      ]
    },
    "custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
    "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
  },
  "triggered_by": {
    "uuid": "008ef8c7-949d-4c81-9680-47afa0f2dd0a",
    "created_at": "2026-04-24T17:14:53+01:00",
    "updated_at": "2026-04-24T17:14:53+01:00",
    "type": "client",
    "role": "client",
    "first_name": "Gareth",
    "last_name": "Thompson",
    "name": "Gareth Thompson",
    "email": "gareth@codepotato.co.uk",
    "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
    "firm": "App\\Http\\Resources\\FirmResource",
    "primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
    "primary_email": "App\\Http\\Resources\\ContactDetailResource",
    "current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
    "assigned_adviser": "App\\Http\\Resources\\AccountResource",
    "assigned_administrator": "App\\Http\\Resources\\AccountResource",
    "assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
    "introduced_by": "App\\Http\\Resources\\AccountResource",
    "business_unit": "App\\Http\\Resources\\BusinessUnitResource",
    "groups": "App\\Http\\Resources\\GroupResource",
    "tags": "App\\Http\\Resources\\TagResource",
    "owners": "App\\Http\\Resources\\AccountResource",
    "first_contact_date": "2026-04-24T17:14:53+01:00",
    "next_review_date": "2026-04-24T17:14:53+01:00",
    "previous_review_date": "2026-04-24T17:14:53+01:00",
    "anniversary_review_date": "2026-04-24T17:14:53+01:00",
    "with_login": true,
    "has_joint_account": true,
    "can_be_deleted": "false",
    "joint_account_circle": "App\\Http\\Resources\\CircleResource",
    "circles": "App\\Http\\Resources\\CircleResource",
    "ownership_percentage": 100,
    "inactive_at": "2026-04-24",
    "last_interaction_at": "2026-04-24 17:14:53",
    "referral_code": "ABC12345",
    "permissions": {
      "firm:read": [
        "firm"
      ],
      "network:read": [
        "network:uuid"
      ]
    },
    "custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
    "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
  }
}